/*** Booking Bar **/
:root {
    --litepickerDayIsStartBg: #54585A !important;
    --litepickerDayIsEndBg:  #54585A !important;
    --litepickerDayIsInRange: #F4F4F4 !important;
}

.booking-bar {
  border: 1px solid #DEA744;
  min-width: 991px;
  background: rgba(0,0,0,0.75);
  font-family:"hypatia-sans-pro", sans-serif;
  display: flex;
  flex-direction: row;
}

.booking-bar .input-group {
    max-width: 100%;
    margin: 0 auto;
    width: calc(100% - 30px) !important;
    margin-left: 15px;
    margin-right: 15px;
}

.booking-bar .column-datein .input-group {
    max-width: 100%;
    margin: 0 auto;
    width: calc(100% - 30px) !important;
    margin-left: 15px;
    margin-right: 15px;
}

.home-hero-container .booking-bar {
  position: absolute;
  bottom: 120px;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
}

.footer-booking-container .booking-bar  {
    margin: 60px auto 100px auto;
    max-width: 1024px;
}

.booking-bar form {
  display: none;
  flex-direction: row;
  flex: 1 1 73.3333%;
  border-left: 1px solid rgba(222,167,68,0.21);
}

.booking-bar .column {
  flex: 0 0 26.6666%;
  border-left: 1px solid rgba(222,167,68,0.21);
}

.booking-bar form .column {
    flex: 0 0 40%;
}

.booking-bar .column:first-child,
.booking-bar .column:last-child {
  border: none;
}

.booking-bar .select2 {
    width: 90% !important;
}

.dp {
  display: block;
  text-align: center;
  font-size: 0.78em;
  color: #fff;
  padding: 12px 6px;
  text-transform: uppercase;
}

.dp:hover {
  color: #DEA744;
  text-decoration: none;
}

.dp i {
  float: none;
  padding: 0 0 0 10px;
  font-size: 1.2em;
}

.booking-bar .column.column-book {
  flex: 1 1 20%;
  background-color: #DEA744;
}

.column-book button {
  border: none;
  width: 100%;
  text-align: center;
  color: #242424;
  font-size: 1em;
  cursor: pointer;
  background: none;
  font-weight: 400;
  padding: 12px 6px;
}

.column-datein,
.column-dateout {
    display: flex;
    align-items: center;
    color: #DEA744;
    font-size: 0.78em;
}

.column-datein i,
.column-dateout i {
    font-size: 1.2em;
    margin: 0;
    border: none !important;
}

.column-datein i:hover,
.column-dateout i:hover {
    color: #DEA744 !important;
    background: none !important;
}

.column-datein .input-group-text,
.column-dateout .input-group-text{
    color: #fff;
    background: none;
    border: none;
    text-align: right;
    text-transform: uppercase;
}

.column-datein .input-group-addon,
.column-dateout .input-group-addon{
    display: flex;
    align-items: center;
}

.column-datein input[type="text"],
.column-dateout input[type="text"] {
    background: none;
    border: none;
    color: #DEA744;
    padding: 0;
}

.column-hotels {
    display: flex;
    justify-content: center;
    align-items: center;
}

.select2-container--default .select2-selection--single {
    background: none !important;
    border: none !important;
    border-radius: 0;
    color: #DEA744 !important;
    text-transform: uppercase;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #DEA744 !important;
    font-size: 1em;
}

.ma-form.show,
.ws-form.show {
    display: flex;
}

#booking-overlay {
    background: rgba(0,0,0,0.9);
    position: fixed;
    top: 0; left: 0;
    right: 0; bottom: 0;
    width: 100%;
    z-index: 2000;
    display: none;
}

#booking-form-wrap {
    position: fixed;
    z-index: 2001;
    top: 0; left: 0;
    right: 0; bottom: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
    flex-direction: column;
}

#booking-form-wrap .close-booking {
    position: absolute; z-index: 1;
    top: 15px;
    right: 15px;
    color: #fff;
    text-decoration: none !important;
    font-size: 32px;
}

#booking-form-wrap .close-booking-btn {
    background: none;
    border: 1px solid #fff;
    text-transform: uppercase;
    color: #fff;
    min-height: 0;
}

.select2-container--open,
.datepicker-container {
    z-index: 2002 !important;
}

.select2-container--default .select2-results > .select2-results__options {
    max-height: none !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #DEA744 !important;
    color: #242424 !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border: none !important;
    font-family: "Font Awesome 5 Pro" !important;
    top: auto !important;
    font-weight: 300 !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b::before {
    content: "\f107";
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b::before {
    content: "\f106";
}

@media screen and (min-width: 992px) {
    .booking-mobile-bar {
        display: none;
    }
}

@media screen and (max-width: 991px) {
    
    .home-hero-container .booking-bar {
        display: none !important;
    }
    
    .booking-bar .select2 {
        max-width: 300px;
    }
    
    .booking-bar {
        max-width: 300px !important;
        min-width: 300px;
        display: block;
    }
    
    .booking-bar form {
        border-left: none;
    }
    
    .booking-bar .column {
        padding: 12px;
        border-left: 0px;
        border-bottom: 1px solid rgba(222,167,68,0.21) !important;
    }
    
    .booking-bar .column-book {
        padding: 0;
    }
    
    .ma-form,
    .ws-form {
        display: none;
    }
    
    .ma-form.show,
    .ws-form.show {
        display: block;
    }
    
    .booking-bar .input-group,
    .booking-bar .column-datein .input-group {
        max-width: none;
        padding-left: 8px;
        padding-right: 8px;
    }
    
    .footer .booking-bar .input-group {
        padding-right: 16px;
    }
    
    /*** mobile booking bar ***/
    
    .sticky-top .main-menu__menu {
        padding-top: 50px !important;
    }
    
    .booking-mobile-bar {
        display: block;
        position: absolute; z-index: 32000;
        width: 300px;
        left: 50%;
        margin-left: -150px;
        top: 65px;
        background-color: rgba(255,255,255,0.84);
    }
    
    .booking-mobile-bar .col-6 {
        padding: 0;
    }
    
    .booking-mobile-bar i {
        float: none;
        font-size: 16px;
        margin-left: 10px;
    }
    
    .location-select-wrap {
        border-top: 1px solid rgba(0,0,0,0.16);
        padding: 0 20px;
        display: none;
        background: #fff;
    }
    
    .location-select-wrap ul {
        margin: 0;
        padding: 0;
    }
    
    .location-select-wrap li {
        margin: 0;
        padding: 0;
        border-bottom: 1px solid rgba(0,0,0,0.16);
        line-height: 1;
    }
    
    .location-select-wrap li::before {
        display: none !important;
    }
    
    .location-select-wrap li:last-of-type {
        border: none;
    }
    
    .btn-book {
        text-align: center;
        height: 40px;
        line-height: 40px;
        color: #242424;
        text-decoration: none;
        display: block;
        padding: 0 10px;
    }
    
    .btn-book:hover {
        background-color: rgba(255,255,255,0.94);
    }
    
    .btn-hotel-select:hover {
        background-color: #efefef;
    }
    
    .location-select-wrap .btn-book {
        text-align: left;
    }
    
    .location-select-wrap .btn-book i {
        float: right;
        padding-top: 12px;
    }
    
    .dates-select-wrap {
        border-top: 1px solid rgba(0,0,0,0.16);
        padding: 10px;
        display: none;
        background: #fff;
    }
    
    #mobile-date {
        display: none;
    }
    
    .dates-select-wrap form {
        padding-top: 12px;
        display: none;
    }
    
    .dates-select-wrap button.book {
        border: none;
        width: 100%;
        text-align: center;
        color: #242424;
        font-size: 1em;
        cursor: pointer;
        background: none;
        font-weight: 400;
        padding: 12px 6px;
        background: #DEA744;
    }
    
    .dates-select-wrap form.show,
    .dates-select-wrap.show,
    .location-select-wrap.show {
        display: block;
    }
    
    .select-location-btn {
        margin-top: 12px;
    }
    
    .btn-hotel-select.selected {
        background: #54585A !important;
        color: #fff !important;
    }
    
    .btn-location-drop.selected,
    .btn-date-drop.selected {
        background: #fff;
    }
}